VB6 & Tolleranze DFT

zed1976

Utente Junior
Professione: Impiegato
Software: Solid Edge
Regione: italia
#1
Salve a tutti !

Vorrei sapere come si fa da codice VB6 ad inserire le tolleranze ad una quota su DFT.

Grazie anticipatamente, Fabrizio

Solid Edge v15
 
Ultima modifica:

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#2
Dovrebbe essere qualcosa del genere, nell'SDK ci sono tutti i riferimenti.

Dim objApp As SolidEdgeFrameWork.Application
Dim objDoc As SolidEdgeDraft.DraftDocument
Dim objDimension As SolidEdgeFrameworkSupport.Dimension

Set ObjApp = GetObject(, "SolidEdge.Application")
Set ObjDoc = objApp.ActiveDocument

Set objDimension = ObjDoc.SelectSet.Item(1)
objDimension.DisplayType = igDimDisplayTypeClassPlusMinus
Ciao
 
Ultima modifica:

zed1976

Utente Junior
Professione: Impiegato
Software: Solid Edge
Regione: italia
#3
Grazie, sto incominciando ora ad interfacciare VB6 con SE qui in azienda.
Dove posso trovarlo SDK di SE ? Noi qua ne siamo sprovvisti.
ciao e grazie !!
 

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#4
Grazie, sto incominciando ora ad interfacciare VB6 con SE qui in azienda.
Dove posso trovarlo SDK di SE ? Noi qua ne siamo sprovvisti.
ciao e grazie !!
Nel menù "?" la voce, programmazione con solid edge.

Nella cartela

c:\programmi\solid edge Vxx\Custom\

ci sono anche molti esempi.

Ho fatto una modifica al codice, per funzionare devi avere solid edge avviato con un disegno aperto con una quota selezionata.

Ciao
 

zed1976

Utente Junior
Professione: Impiegato
Software: Solid Edge
Regione: italia
#5
Grazie 1000 Francesco,ho visto gli esempi di codice !!

Mi hai risolto molte 'grane'..... grazie veramente !!!